((Drupal, drupalSettings, once) => {
  Drupal.behaviors.commerce_add_to_cart_confirmation = {
    attach(context) {
      if (
        drupalSettings?.commerce_add_to_cart_confirmation?.content !== undefined
      ) {
        once('commerce-add-to-cart-confirmation', 'body', context).forEach(
          () => {
            const popupContent =
              drupalSettings.commerce_add_to_cart_confirmation.content;
            const popupTitle =
              drupalSettings.commerce_add_to_cart_confirmation.title;

            const confirmationModal = Drupal.dialog(
              `<div>${popupContent}</div>`,
              {
                title: popupTitle,
                classes: {
                  'ui-dialog': 'commerce-confirmation-popup',
                },
                width: 745,
                autoResize: true,
                resizable: false,
                close() {
                  confirmationModal.close();
                },
              },
            );
            confirmationModal.showModal();
            document
              .querySelector('.commerce-add-to-cart-confirmation-close')
              .addEventListener('click', () => {
                confirmationModal.close();
              });
          },
        );
      }
    },
  };
})(Drupal, drupalSettings, once);
